<?php 
include('config/function.php');
if(!isset($_SESSION['user_name']) || empty($_SESSION['user_name']))
{
header('location:login.php');
exit();
}

/* set variable */
$pagename = "Gallery";
$pagetaskname = " Add ";

/* set var blank */
$id = "";
$msg = "";	
$sess_msg = "";
$title = "";
$cid = "";
$category = "";
$line2 = "";
$image = "";
$content = "";
$status = "";

/* get id */
if(isset($_GET['id']) && $_GET['id']!="")
{
	$id = $_GET['id'];
}

if(isset($_POST['submit']) && $_POST['submit']=="add")
{
	 
	$category = addslashes(ucwords(trim($_POST['category'])));
 
	
	if(!empty($_POST['status'])) { $status=1; } else{ $status=0; }
	
	/* check title in database */
	/* $checkDuplicate ="";
	if($id!="")
	{
		$checkDuplicate = "AND id!='$id'"; 
	}
	$query_duplicate="SELECT * FROM gallery WHERE title='".$title."' $checkDuplicate";
	if($sql_duplicate=$conn->query($query_duplicate))
	{
		if($sql_duplicate->num_rows>0)
		{
			$msg = "This Title is already exist, please try another.";
		}
		else
		{ */
			if($id!="")
			{
				$query_update="UPDATE gallery SET title='".$title."',status='".$status."',category='".$category."',content='".$content."' WHERE id='".$id."'";
				if($sql_update=$conn->prepare($query_update))
				{
					$sql_update->execute();
					$sess_msg = $pagename." Update Successfully.";	
				}
			}
			else
			{
				$query_insert="INSERT INTO gallery SET category='".$category."',status='".$status."',content='".$content."'";
				if($sql_insert=$conn->prepare($query_insert))
				{
					$sql_insert->execute();
					$id = mysqli_insert_id($conn);
					$sess_msg = $pagename." Added Successfully.";
				}
			}
			if(isset($_FILES['image']) && $_FILES['image']['error']==0)
			{

				$array = explode('.', $_FILES['image']['name']);
				$galleryimage = $array[0];
				$galleryimage1 = $array[1];
				$time =time();
				$galleryimage = $time.$galleryimage;
				$galleryimage = str_replace("---","-",preg_replace("/[^-a-zA-Z0-9s]/", "-", strtolower(trim($galleryimage)))); 
				$galleryimage = $galleryimage.".".$galleryimage1;  

			    $galleryimagename = "";
					if($id!="")
					{

					$queryinfo = "SELECT image FROM `gallery` WHERE id = '".$id."'";
					if($sql_select = $conn->query($queryinfo))
					{
					if($sql_select->num_rows>0)
						{
							$resultinfo = $sql_select->fetch_array(MYSQLI_ASSOC);

							$galleryimagename =  trim($resultinfo['image']);
						}
					}
					}
						if($galleryimagename!="")
						{
						$unlkheaderfile = "uploads/gallery/".$galleryimagename;
						if (file_exists($unlkheaderfile)) { unlink($unlkheaderfile); }
						}
					$galleryfilename = "uploads/gallery/". $galleryimage;
					$mv =move_uploaded_file($_FILES['image']['tmp_name'],$galleryfilename);
					$query_imageup="UPDATE gallery SET image='".$galleryimage."' WHERE id='".$id."'";
					if($sql_imageup=$conn->prepare($query_imageup))
					$sql_imageup->execute();
			} 

			echo "<script>document.location.href='view-gallery.php?msg=".$sess_msg."';</script>";
			exit;
		/* }
	} */
}

/* Listing  */
if($id!="")
{
    $query_select="SELECT * FROM gallery WHERE id='".$id."'";
	if($sql_select=$conn->query($query_select))
	{ 
		if($sql_select->num_rows>0)
		{
			$result=$sql_select->fetch_array(MYSQLI_ASSOC);
			
			$title = stripslashes($result['title']);
			$category = stripslashes($result['category']);
			$content = stripslashes($result['content']);
			$status = $result['status'];
			$image = $result['image'];
			$pagetaskname = " Update ";
		}
		else
		{
			echo "<script>document.location.href='gallery_mgmt.php';</script>";
			exit;
		}
    }
}
?>

<!DOCTYPE html>
<html>
<meta http-equiv="content-type" content="text/html;charset=utf-8" />
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport"> 
  <title>Dashboard</title>
 
  <link rel="stylesheet" href="bower_components/font-awesome/css/font-awesome.min.css">
  <link rel="stylesheet" href="bower_components/Ionicons/css/ionicons.min.css">
  <link rel="stylesheet" href="dist/css/AdminLTE.min.css">
  <link rel="stylesheet" href="dist/css/skins/_all-skins.min.css">

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
		<script src="dist/js/editor.js"></script>
		<script>
			$(document).ready(function() {
				$("#txtEditor").Editor();
			});
		</script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
		<link href="dist/css/editor.css" type="text/css" rel="stylesheet"/>
    
</head>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper">

  <?php include('header.php') ?>
  <?php include('left-menu.php') ?>
  <div class="content-wrapper">
    <section class="content">
      <div class="row">
       <div class="col-md-12">
          <div class="main-title">
           <h3>Add Customers</h3>
           </div>
          </div>
          <div class="col-md-12">
          <div class="field-section">
              <form method="post" enctype="multipart/form-data">
              <div class="row">
               <div class="col-md-5">
                    <label class="input-text">Category</label>
                  <div class="form-group">
                      <select name="category" class="from-control custom-type">
                      <option value="">Select Category</option>
                      <option value="mws">MWS Pvt. Ltd</option>
                      <option value="viraaj">Viraaj Digital</option>
                      <option value="hosting">I Hosting</option>
                      <option value="certificate">Certificate</option>
                      </select>
                   </div>
                     </div>
                  
                  <div class="col-md-6">
                    <label class="input-text">Image</label>
                  <div class="form-group " id="targetimage">
                     <?php if($image!="") { 
                         	      $path='uploads/gallery/'.$image;
                     ?>
					<img src="uploads/gallery/<?php echo $result['image'];?>" height="100" width="120" title="<?php echo $title; ?> Image">
						<a href="#" onclick='return deleteImage("<?php echo $path ?>","gallery","<?php echo $id ; ?>");'><i class="fa fa-window-close" aria-hidden="true"></i></a>
					<?php
                        
                     }
					
					    ?>
				
                      <input type="file" name="image" value="<?php echo $result['image']?>" class="from-control custom-type" required>
                   </div>
                  </div>
                  <div class="col-md-1">
                   <input type="checkbox" class="form-control" name="status[]" id="status" value="1" <?php if($status==  1) { echo "checked"; } ?>/>
				<div id="status_status"></div>
                  </div>
                  <!--<div class="col-md-12">-->
                  <!--  <label class="input-text">Short Content</label>-->
                  <!--<div class="form-group">-->
                  <!--    <textarea name="content" class="from-control custom-type" rows="10" cols="5"><?php echo $content;?></textarea>-->
                  <!-- </div>-->
                  <!--</div>-->
                  <div class="col-md-12">
                                            
                 <button type="submit" name="submit" value="add" class="btn btn-submit">Add</button>     
                      
                      
                  </div>
              </div>
              </form>
              </div>
          </div>
        
      </div>
    </section>
  </div>
  <!-- /.content-wrapper -->
<?php include 'footer.php';?>
</div>
	

<script src="bower_components/jquery-ui/jquery-ui.min.js"></script>
<script>
  $.widget.bridge('uibutton', $.ui.button);
</script>
<script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
<script src="dist/js/adminlte.min.js"></script>
<link rel="stylesheet" href="lib/ToggleSwitch.css"/>
<script src="lib/ToggleSwitch.js"></script>
<script>
$(function(){
$("#status").toggleSwitch();
$("#myonoffswitch2").toggleSwitch();
});


function deleteImage(path,tn,id) {
    var path,tn,id;
    alert(path);
    alert(tn);
    alert(id);
	$.ajax({
		url: "sandeepphp/actions.php",
		type: "POST",
		data:  {'path':path,'tablename':tn,'id':id},
		success: function(data){	
			//$("#targetLayer").html('<div class="no-image">No Image</div>');
			$("#targetimage").load(' #targetimage');
		},
		error: function(){} 	        
	});
}
</script>
</body>
</html>
